<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns1="http://www.fpdsng.com/FPDS" xmlns:n1="http://www.w3.org/2001/XMLSchema" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes">
	<xsl:output version="1.0" method="text" indent="no" omit-xml-declaration="yes"/>
	<xsl:template match="/">
		<xsl:for-each select="ns1:listOfIDVs">
			<xsl:for-each select="ns1:IDV">
				<xsl:text>&#10;</xsl:text>
				<xsl:for-each select="@version">
					<xsl:value-of select="normalize-space(.)"/>
				</xsl:for-each>|<xsl:for-each select="ns1:contractID">
					<xsl:for-each select="ns1:IDVID">
						<xsl:for-each select="ns1:agencyID">
							<xsl:value-of select="normalize-space(.)"/>
						</xsl:for-each>|<xsl:for-each select="ns1:PIID">
							<xsl:value-of select="normalize-space(.)"/>
						</xsl:for-each>|<xsl:for-each select="ns1:modNumber">
							<xsl:value-of select="normalize-space(.)"/>
						</xsl:for-each>|</xsl:for-each>
					<xsl:choose>
						<xsl:when test="ns1:referencedIDVID">
							<xsl:for-each select="ns1:referencedIDVID">
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:agencyID[1]/text()) or ns1:agencyID != null">
										<xsl:for-each select="ns1:agencyID">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:PIID[1]/text()) or ns1:PIID != null">
										<xsl:for-each select="ns1:PIID">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:modNumber[1]/text()) or ns1:modNumber != null">
										<xsl:for-each select="ns1:modNumber">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>|||</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
				<xsl:choose>
					<xsl:when test="ns1:relevantContractDates">
						<xsl:for-each select="ns1:relevantContractDates">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:signedDate[1]/text()) or ns1:signedDate != null">
									<xsl:for-each select="ns1:signedDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:effectiveDate[1]/text()) or ns1:effectiveDate != null">
									<xsl:for-each select="ns1:effectiveDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:lastDateToOrder[1]/text()) or ns1:lastDateToOrder != null">
									<xsl:for-each select="ns1:lastDateToOrder">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:dollarValues">
						<xsl:for-each select="ns1:dollarValues">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:obligatedAmount[1]/text()) or ns1:obligatedAmount != null">
									<xsl:for-each select="ns1:obligatedAmount">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:baseAndAllOptionsValue[1]/text()) or ns1:baseAndAllOptionsValue != null">
									<xsl:for-each select="ns1:baseAndAllOptionsValue">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:purchaserInformation">
						<xsl:for-each select="ns1:purchaserInformation">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractingOfficeAgencyID[1]/text()) or ns1:contractingOfficeAgencyID != null">
									<xsl:for-each select="ns1:contractingOfficeAgencyID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractingOfficeID[1]/text()) or ns1:contractingOfficeID != null">
									<xsl:for-each select="ns1:contractingOfficeID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:foreignFunding[1]/text()) or ns1:foreignFunding!= null">
									<xsl:for-each select="ns1:foreignFunding">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:contractMarketingData">
						<xsl:for-each select="ns1:contractMarketingData">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:websiteURL[1]/text()) or ns1:websiteURL != null">
									<xsl:for-each select="ns1:websiteURL">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:whoCanUse[1]/text()) or ns1:whoCanUse != null">
									<xsl:for-each select="ns1:whoCanUse">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:emailAddress[1]/text()) or ns1:emailAddress != null">
									<xsl:for-each select="ns1:emailAddress">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:maximumOrderLimit[1]/text()) or ns1:maximumOrderLimit != null">
									<xsl:for-each select="ns1:maximumOrderLimit">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:typeOfFeeForUseOfService[1]/text()) or ns1:typeOfFeeForUseOfService != null">
									<xsl:for-each select="ns1:typeOfFeeForUseOfService">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:fixedFeeValue[1]/text()) or ns1:fixedFeeValue != null">
									<xsl:for-each select="ns1:fixedFeeValue">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:feeRangeLowerValue[1]/text()) or ns1:feeRangeLowerValue != null">
									<xsl:for-each select="ns1:feeRangeLowerValue">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:feeRangeUpperValue[1]/text()) or ns1:feeRangeUpperValue != null">
									<xsl:for-each select="ns1:feeRangeUpperValue">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:orderingProcedure[1]/text()) or ns1:orderingProcedure != null">
									<xsl:for-each select="ns1:orderingProcedure">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:contractData">
						<xsl:for-each select="ns1:contractData">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractActionType[1]/text()) or ns1:contractActionType != null">
									<xsl:for-each select="ns1:contractActionType">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:typeOfContractPricing[1]/text()) or ns1:typeOfContractPricing != null">
									<xsl:for-each select="ns1:typeOfContractPricing">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:nationalInterestActionCode[1]/text()) or ns1:nationalInterestActionCode != null">
									<xsl:for-each select="ns1:nationalInterestActionCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:reasonForModification[1]/text()) or ns1:reasonForModification != null">
									<xsl:for-each select="ns1:reasonForModification">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:majorProgramCode[1]/text()) or ns1:majorProgramCode != null">
									<xsl:for-each select="ns1:majorProgramCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:costOrPricingData[1]/text()) or ns1:costOrPricingData != null">
									<xsl:for-each select="ns1:costOrPricingData">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:solicitationID[1]/text()) or ns1:solicitationID != null">
									<xsl:for-each select="ns1:solicitationID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:costAccountingStandardsClause[1]/text()) or ns1:costAccountingStandardsClause != null">
									<xsl:for-each select="ns1:costAccountingStandardsClause">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:descriptionOfContractRequirement[1]/text()) or ns1:descriptionOfContractRequirement != null">
									<xsl:for-each select="ns1:descriptionOfContractRequirement">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:GFE-GFP[1]/text()) or ns1:GFE-GFP != null">
									<xsl:for-each select="ns1:GFE-GFP">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:seaTransportation[1]/text()) or ns1:seaTransportation != null">
									<xsl:for-each select="ns1:seaTransportation">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:undefinitizedAction[1]/text()) or ns1:undefinitizedAction!= null">
									<xsl:for-each select="ns1:undefinitizedAction">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:consolidatedContract[1]/text()) or ns1:consolidatedContract != null">
									<xsl:for-each select="ns1:consolidatedContract">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:performanceBasedServiceContract[1]/text()) or ns1:performanceBasedServiceContract!= null">
									<xsl:for-each select="ns1:performanceBasedServiceContract">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:multiYearContract[1]/text()) or ns1:multiYearContract!= null">
									<xsl:for-each select="ns1:multiYearContract">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:typeOfIDC[1]/text()) or ns1:typeOfIDC != null">
									<xsl:for-each select="ns1:typeOfIDC">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:multipleOrSingleAwardIDC[1]/text()) or ns1:multipleOrSingleAwardIDC != null">
									<xsl:for-each select="ns1:multipleOrSingleAwardIDC">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:programAcronym[1]/text()) or ns1:programAcronym != null">
									<xsl:for-each select="ns1:programAcronym">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||||||||||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:legislativeMandates">
						<xsl:for-each select="ns1:legislativeMandates">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:ClingerCohenAct[1]/text()) or ns1:ClingerCohenAct!= null">
									<xsl:for-each select="ns1:ClingerCohenAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:WalshHealyAct[1]/text()) or ns1:WalshHealyAct != null">
									<xsl:for-each select="ns1:WalshHealyAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:serviceContractAct[1]/text()) or ns1:serviceContractAct != null">
									<xsl:for-each select="ns1:serviceContractAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:DavisBaconAct[1]/text()) or ns1:DavisBaconAct != null">
									<xsl:for-each select="ns1:DavisBaconAct">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:interagencyContractingAuthority[1]/text()) or ns1:interagencyContractingAuthority!= null">
									<xsl:for-each select="ns1:interagencyContractingAuthority">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:otherStatutoryAuthority[1]/text()) or ns1:otherStatutoryAuthority != null">
									<xsl:for-each select="ns1:otherStatutoryAuthority">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:productOrServiceInformation">
						<xsl:for-each select="ns1:productOrServiceInformation">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:productOrServiceCode[1]/text()) or ns1:productOrServiceCode != null">
									<xsl:for-each select="ns1:productOrServiceCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:contractBundling[1]/text()) or ns1:contractBundling != null">
									<xsl:for-each select="ns1:contractBundling">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:claimantProgramCode[1]/text()) or ns1:claimantProgramCode != null">
									<xsl:for-each select="ns1:claimantProgramCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:principalNAICSCode[1]/text()) or ns1:principalNAICSCode != null">
									<xsl:for-each select="ns1:principalNAICSCode">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:recoveredMaterialClauses[1]/text()) or ns1:recoveredMaterialClauses != null">
									<xsl:for-each select="ns1:recoveredMaterialClauses">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:manufacturingOrganizationType[1]/text()) or ns1:manufacturingOrganizationType!= null">
									<xsl:for-each select="ns1:manufacturingOrganizationType">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:call-template name="vendor"/>
				<xsl:choose>
					<xsl:when test="ns1:competition">
						<xsl:for-each select="ns1:competition">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:extentCompeted[1]/text()) or ns1:extentCompeted != null">
									<xsl:for-each select="ns1:extentCompeted">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:competitiveProcedures[1]/text()) or ns1:competitiveProcedures != null">
									<xsl:for-each select="ns1:competitiveProcedures">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:solicitationProcedures[1]/text()) or ns1:solicitationProcedures != null">
									<xsl:for-each select="ns1:solicitationProcedures">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:typeOfSetAside[1]/text()) or ns1:typeOfSetAside != null">
									<xsl:for-each select="ns1:typeOfSetAside">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:evaluatedPreference[1]/text()) or ns1:evaluatedPreference != null">
									<xsl:for-each select="ns1:evaluatedPreference">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:research[1]/text()) or ns1:research != null">
									<xsl:for-each select="ns1:research">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:statutoryExceptionToFairOpportunity[1]/text()) or ns1:statutoryExceptionToFairOpportunity != null">
									<xsl:for-each select="ns1:statutoryExceptionToFairOpportunity">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:reasonNotCompeted[1]/text()) or ns1:reasonNotCompeted != null">
									<xsl:for-each select="ns1:reasonNotCompeted">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:numberOfOffersReceived[1]/text()) or ns1:numberOfOffersReceived != null">
									<xsl:for-each select="ns1:numberOfOffersReceived">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:commercialItemAcquisitionProcedures[1]/text()) or ns1:commercialItemAcquisitionProcedures != null">
									<xsl:for-each select="ns1:commercialItemAcquisitionProcedures">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:commercialItemTestProgram[1]/text()) or ns1:commercialItemTestProgram != null">
									<xsl:for-each select="ns1:commercialItemTestProgram">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:smallBusinessCompetitivenessDemonstrationProgram[1]/text()) or ns1:smallBusinessCompetitivenessDemonstrationProgram != null">
									<xsl:for-each select="ns1:smallBusinessCompetitivenessDemonstrationProgram">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:A76Action[1]/text()) or ns1:A76Action!= null">
									<xsl:for-each select="ns1:A76Action">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:fedBizOpps[1]/text()) or ns1:fedBizOpps!= null">
									<xsl:for-each select="ns1:fedBizOpps">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:localAreaSetAside[1]/text()) or ns1:localAreaSetAside!= null">
									<xsl:for-each select="ns1:localAreaSetAside">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||||||||||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:preferencePrograms">
						<xsl:for-each select="ns1:preferencePrograms">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:subcontractPlan[1]/text()) or ns1:subcontractPlan != null">
									<xsl:for-each select="ns1:subcontractPlan">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:transactionInformation">
						<xsl:for-each select="ns1:transactionInformation">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:createdBy[1]/text()) or ns1:createdBy != null">
									<xsl:for-each select="ns1:createdBy">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:createdDate[1]/text()) or ns1:createdDate != null">
									<xsl:for-each select="ns1:createdDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:lastModifiedBy[1]/text()) or ns1:commlastModifiedBy != null">
									<xsl:for-each select="ns1:lastModifiedBy">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:lastModifiedDate[1]/text()) or ns1:lastModifiedDate != null">
									<xsl:for-each select="ns1:lastModifiedDate">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:status[1]/text()) or ns1:status != null">
									<xsl:for-each select="ns1:status">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||</xsl:otherwise>
				</xsl:choose>
				<xsl:choose>
					<xsl:when test="ns1:agencySpecificIDVElements">
						<xsl:for-each select="ns1:agencySpecificIDVElements">
							<xsl:choose>
								<xsl:when test="normalize-space(ns1:agencyID[1]/text()) or ns1:agencyID!= null">
									<xsl:for-each select="ns1:agencyID">
										<xsl:value-of select="normalize-space(.)"/>
									</xsl:for-each>|</xsl:when>
								<xsl:otherwise>|</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="ns1:NASASpecificIDVElements">
									<xsl:for-each select="ns1:NASASpecificIDVElements">
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:offerorsProposalNumber[1]/text()) or ns1:offerorsProposalNumber!= null">
												<xsl:for-each select="ns1:offerorsProposalNumber">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:PRNumber[1]/text()) or ns1:PRNumber!= null">
												<xsl:for-each select="ns1:PRNumber">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:procurementPlacementCode[1]/text()) or ns1:procurementPlacementCode!= null">
												<xsl:for-each select="ns1:procurementPlacementCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:solicitationIssueDate[1]/text()) or ns1:solicitationIssueDate!= null">
												<xsl:for-each select="ns1:solicitationIssueDate">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="ns1:listOfContractAdministrationsDelegated">
												<xsl:for-each select="ns1:listOfContractAdministrationsDelegated">
													<xsl:choose>
														<xsl:when test="normalize-space(ns1:contractAdministrationDelegated[1]/text()) or ns1:contractAdministrationDelegated!= null">
															<xsl:for-each select="ns1:createdBy">
																<xsl:value-of select="normalize-space(.)"/>
															</xsl:for-each>|</xsl:when>
														<xsl:otherwise>|</xsl:otherwise>
													</xsl:choose>
												</xsl:for-each>
											</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:advisoryOrAssistanceServicesContract[1]/text()) or ns1:advisoryOrAssistanceServicesContract!= null">
												<xsl:for-each select="ns1:advisoryOrAssistanceServicesContract">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:supportServicesTypeContract[1]/text()) or ns1:supportServicesTypeContract!= null">
												<xsl:for-each select="ns1:supportServicesTypeContract">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:newTechnologyOrPatentRightsClause[1]/text()) or ns1:newTechnologyOrPatentRightsClause!= null">
												<xsl:for-each select="ns1:newTechnologyOrPatentRightsClause">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:managementReportingRequirements[1]/text()) or ns1:managementReportingRequirements!= null">
												<xsl:for-each select="ns1:managementReportingRequirements">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:propertyFinancialReporting[1]/text()) or ns1:propertyFinancialReporting!= null">
												<xsl:for-each select="ns1:propertyFinancialReporting">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:valueEngineeringClause[1]/text()) or ns1:valueEngineeringClause!= null">
												<xsl:for-each select="ns1:valueEngineeringClause">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:securityCode[1]/text()) or ns1:securityCode!= null">
												<xsl:for-each select="ns1:securityCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:administratorCode[1]/text()) or ns1:administratorCode!= null">
												<xsl:for-each select="ns1:administratorCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:contractingOfficerCode[1]/text()) or ns1:contractingOfficerCode!= null">
												<xsl:for-each select="ns1:contractingOfficerCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:negotiatorCode[1]/text()) or ns1:negotiatorCode!= null">
												<xsl:for-each select="ns1:negotiatorCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:COTRName[1]/text()) or ns1:COTRName!= null">
												<xsl:for-each select="ns1:COTRName">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:alternateCOTRName[1]/text()) or ns1:alternateCOTRName!= null">
												<xsl:for-each select="ns1:alternateCOTRName">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:organizationCode[1]/text()) or ns1:organizationCode!= null">
												<xsl:for-each select="ns1:organizationCode">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:isPhysicallyComplete[1]/text()) or ns1:isPhysicallyComplete!= null">
												<xsl:for-each select="ns1:isPhysicallyComplete">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:physicalCompletionDate[1]/text()) or ns1:physicalCompletionDate!= null">
												<xsl:for-each select="ns1:physicalCompletionDate">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:installationUnique[1]/text()) or ns1:installationUnique!= null">
												<xsl:for-each select="ns1:installationUnique">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:cancellationDate[1]/text()) or ns1:cancellationDate!= null">
												<xsl:for-each select="ns1:cancellationDate">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:finalInvoicePaidDate[1]/text()) or ns1:finalInvoicePaidDate!= null">
												<xsl:for-each select="ns1:finalInvoicePaidDate">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:accessionNumber[1]/text()) or ns1:accessionNumber!= null">
												<xsl:for-each select="ns1:accessionNumber">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:destroyDate[1]/text()) or ns1:destroyDate!= null">
												<xsl:for-each select="ns1:destroyDate">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
										<xsl:choose>
											<xsl:when test="normalize-space(ns1:accountingInstallationNumber[1]/text()) or ns1:accountingInstallationNumber!= null">
												<xsl:for-each select="ns1:accountingInstallationNumber">
													<xsl:value-of select="normalize-space(.)"/>
												</xsl:for-each>|</xsl:when>
											<xsl:otherwise>|</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</xsl:when>
								<xsl:otherwise>||||||||||||||||||||||||||</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>|||||||||||||||||||||||||||</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="vendor" match="/ns1:vendor">
		<xsl:choose>
			<xsl:when test="ns1:vendor">
				<xsl:for-each select="ns1:vendor">
					<xsl:choose>
						<xsl:when test="ns1:vendorHeader">
							<xsl:for-each select="ns1:vendorHeader">
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:vendorName[1]/text()) or ns1:vendorName != null">
										<xsl:for-each select="ns1:vendorName">
											<xsl:value-of select="normalize-space	(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:vendorAlternateName[1]/text()) or ns1:vendorAlternateName != null">
										<xsl:for-each select="ns1:vendorAlternateName">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:vendorLegalOrganizationName[1]/text()) or ns1:vendorLegalOrganizationName != null">
										<xsl:for-each select="ns1:vendorLegalOrganizationName">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:vendorDoingAsBusinessName[1]/text()) or ns1:vendorDoingAsBusinessName != null">
										<xsl:for-each select="ns1:vendorDoingAsBusinessName">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:vendorEnabled[1]/text()) or ns1:vendorEnabled != null">
										<xsl:for-each select="ns1:vendorEnabled">
											<xsl:value-of select="normalize-space(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>|||||</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="ns1:vendorSiteDetails">
							<xsl:for-each select="ns1:vendorSiteDetails">
								<xsl:choose>
									<xsl:when test="ns1:vendorSocioEconomicIndicators">
										<xsl:for-each select="ns1:vendorSocioEconomicIndicators">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isAlaskanNativeOwnedCorporationOrFirm[1]/text()) or ns1:isAlaskanNativeOwnedCorporationOrFirm!= null">
													<xsl:for-each select="ns1:isAlaskanNativeOwnedCorporationOrFirm">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isAmericanIndianOwned[1]/text()) or ns1:isAmericanIndianOwned!= null">
													<xsl:for-each select="ns1:isAmericanIndianOwned">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isIndianTribe[1]/text()) or ns1:isIndianTribe!= null">
													<xsl:for-each select="ns1:isIndianTribe">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isNativeHawaiianOwnedOrganizationOrFirm[1]/text()) or ns1:isNativeHawaiianOwnedOrganizationOrFirm!= null">
													<xsl:for-each select="ns1:isNativeHawaiianOwnedOrganizationOrFirm">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isTriballyOwnedFirm[1]/text()) or ns1:isTriballyOwnedFirm!= null">
													<xsl:for-each select="ns1:isTriballyOwnedFirm">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSmallBusiness[1]/text()) or ns1:isSmallBusiness!= null">
													<xsl:for-each select="ns1:isSmallBusiness">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isVeteranOwned[1]/text()) or ns1:isVeteranOwned!= null">
													<xsl:for-each select="ns1:isVeteranOwned">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isServiceRelatedDisabledVeteranOwnedBusiness[1]/text()) or ns1:isServiceRelatedDisabledVeteranOwnedBusiness!= null">
													<xsl:for-each select="ns1:isServiceRelatedDisabledVeteranOwnedBusiness">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isWomenOwned[1]/text()) or ns1:isWomenOwned!= null">
													<xsl:for-each select="ns1:isWomenOwned">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="ns1:minorityOwned">
													<xsl:for-each select="ns1:minorityOwned">
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isMinorityOwned[1]/text()) or ns1:isMinorityOwned!= null">
																<xsl:for-each select="ns1:isMinorityOwned">
																	<xsl:value-of select="normalize-space	(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isSubContinentAsianAmericanOwnedBusiness[1]/text()) or ns1:isSubContinentAsianAmericanOwnedBusiness!= null">
																<xsl:for-each select="ns1:isSubContinentAsianAmericanOwnedBusiness">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isAsianPacificAmericanOwnedBusiness[1]/text()) or ns1:isAsianPacificAmericanOwnedBusiness!= null">
																<xsl:for-each select="ns1:isAsianPacificAmericanOwnedBusiness">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isBlackAmericanOwnedBusiness[1]/text()) or ns1:isBlackAmericanOwnedBusiness!= null">
																<xsl:for-each select="ns1:isBlackAmericanOwnedBusiness">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isHispanicAmericanOwnedBusiness[1]/text()) or ns1:isHispanicAmericanOwnedBusiness!= null">
																<xsl:for-each select="ns1:isHispanicAmericanOwnedBusiness">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isNativeAmericanOwnedBusiness[1]/text()) or ns1:isNativeAmericanOwnedBusiness!= null">
																<xsl:for-each select="ns1:isNativeAmericanOwnedBusiness">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isOtherMinorityOwned[1]/text()) or ns1:isOtherMinorityOwned!= null">
																<xsl:for-each select="ns1:isOtherMinorityOwned">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
													</xsl:for-each>
												</xsl:when>
												<xsl:otherwise>|||||||</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isVerySmallBusiness[1]/text()) or ns1:isVerySmallBusiness!= null">
													<xsl:for-each select="ns1:isVerySmallBusiness">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>|||||||||||||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:vendorBusinessTypes">
										<xsl:for-each select="ns1:vendorBusinessTypes">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isCommunityDevelopedCorporationOwnedFirm[1]/text()) or ns1:isCommunityDevelopedCorporationOwnedFirm!= null">
													<xsl:for-each select="ns1:isCommunityDevelopedCorporationOwnedFirm">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isLaborSurplusAreaFirm[1]/text()) or ns1:isLaborSurplusAreaFirm!= null">
													<xsl:for-each select="ns1:isLaborSurplusAreaFirm">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="ns1:federalGovernment">
													<xsl:for-each select="ns1:federalGovernment">
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isFederalGovernment[1]/text()) or ns1:isFederalGovernment!= null">
																<xsl:for-each select="ns1:isFederalGovernment">
																	<xsl:value-of select="normalize-space	(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isFederallyFundedResearchAndDevelopmentCorp[1]/text()) or ns1:isFederallyFundedResearchAndDevelopmentCorp!= null">
																<xsl:for-each select="ns1:isFederallyFundedResearchAndDevelopmentCorp">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isFederalGovernmentAgency[1]/text()) or ns1:isFederalGovernmentAgency!= null">
																<xsl:for-each select="ns1:isFederalGovernmentAgency">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
													</xsl:for-each>
												</xsl:when>
												<xsl:otherwise>|||</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isStateGovernment[1]/text()) or ns1:isStateGovernment!= null">
													<xsl:for-each select="ns1:isStateGovernment">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="ns1:localGovernment">
													<xsl:for-each select="ns1:localGovernment">
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isLocalGovernment[1]/text()) or ns1:isLocalGovernment!= null">
																<xsl:for-each select="ns1:isLocalGovernment">
																	<xsl:value-of select="normalize-space	(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isCityLocalGovernment[1]/text()) or ns1:isCityLocalGovernment!= null">
																<xsl:for-each select="ns1:isCityLocalGovernment">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isCountyLocalGovernment[1]/text()) or ns1:isCountyLocalGovernment!= null">
																<xsl:for-each select="ns1:isCountyLocalGovernment">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isInterMunicipalLocalGovernment[1]/text()) or ns1:isInterMunicipalLocalGovernment!= null">
																<xsl:for-each select="ns1:isInterMunicipalLocalGovernment">
																	<xsl:value-of select="normalize-space	(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isLocalGovernmentOwned[1]/text()) or ns1:isLocalGovernmentOwned!= null">
																<xsl:for-each select="ns1:isLocalGovernmentOwned">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isMunicipalityLocalGovernment[1]/text()) or ns1:isMunicipalityLocalGovernment!= null">
																<xsl:for-each select="ns1:isMunicipalityLocalGovernment">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isSchoolDistrictLocalGovernment[1]/text()) or ns1:isSchoolDistrictLocalGovernment!= null">
																<xsl:for-each select="ns1:isSchoolDistrictLocalGovernment">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isTownshipLocalGovernment[1]/text()) or ns1:isTownshipLocalGovernment!= null">
																<xsl:for-each select="ns1:isTownshipLocalGovernment">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
													</xsl:for-each>
												</xsl:when>
												<xsl:otherwise>|||||||</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isTribalGovernment[1]/text()) or ns1:isTribalGovernment!= null">
													<xsl:for-each select="ns1:isTribalGovernment">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isForeignGovernment[1]/text()) or ns1:isForeignGovernment!= null">
													<xsl:for-each select="ns1:isForeignGovernment">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="ns1:businessOrOrganizationType">
													<xsl:for-each select="ns1:businessOrOrganizationType">
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isCorporateEntityNotTaxExempt[1]/text()) or ns1:isCorporateEntityNotTaxExempt!= null">
																<xsl:for-each select="ns1:isCorporateEntityNotTaxExempt">
																	<xsl:value-of select="normalize-space	(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isCorporateEntityTaxExempt[1]/text()) or ns1:isCorporateEntityTaxExempt!= null">
																<xsl:for-each select="ns1:isCorporateEntityTaxExempt">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isPartnershipOrLimitedLiabilityPartnership[1]/text()) or ns1:isPartnershipOrLimitedLiabilityPartnership!= null">
																<xsl:for-each select="ns1:isPartnershipOrLimitedLiabilityPartnership">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isSolePropreitorship[1]/text()) or ns1:isSolePropreitorship!= null">
																<xsl:for-each select="ns1:isSolePropreitorship">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isSmallAgriculturalCooperative[1]/text()) or ns1:isSmallAgriculturalCooperative!= null">
																<xsl:for-each select="ns1:isSmallAgriculturalCooperative">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isInternationalOrganization[1]/text()) or ns1:isInternationalOrganization!= null">
																<xsl:for-each select="ns1:isInternationalOrganization">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isOtherbusinessOrOrganization[1]/text()) or ns1:isOtherbusinessOrOrganization!= null">
																<xsl:for-each select="ns1:isOtherbusinessOrOrganization">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
													</xsl:for-each>
												</xsl:when>
												<xsl:otherwise>||||||||</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>|||||||||||||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:vendorLineOfBusiness">
										<xsl:for-each select="ns1:vendorLineOfBusiness">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isArchitectureAndEngineering[1]/text()) or ns1:isArchitectureAndEngineering!= null">
													<xsl:for-each select="ns1:isArchitectureAndEngineering">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isCommunityDevelopmentCorporation[1]/text()) or ns1:isCommunityDevelopmentCorporation!= null">
													<xsl:for-each select="ns1:isCommunityDevelopmentCorporation">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isConstructionFirm[1]/text()) or ns1:isConstructionFirm!= null">
													<xsl:for-each select="ns1:isConstructionFirm">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isDomesticShelter[1]/text()) or ns1:isDomesticShelter!= null">
													<xsl:for-each select="ns1:isDomesticShelter">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isEducationalInstitution[1]/text()) or ns1:isEducationalInstitution!= null">
													<xsl:for-each select="ns1:isEducationalInstitution">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isFoundation[1]/text()) or ns1:isFoundation!= null">
													<xsl:for-each select="ns1:isFoundation">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isHospital[1]/text()) or ns1:isHospital!= null">
													<xsl:for-each select="ns1:isHospital">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isManufacturerOfGoods[1]/text()) or ns1:isManufacturerOfGoods!= null">
													<xsl:for-each select="ns1:isManufacturerOfGoods">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isResearchAndDevelopment[1]/text()) or ns1:isResearchAndDevelopment!= null">
													<xsl:for-each select="ns1:isResearchAndDevelopment">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isServiceProvider[1]/text()) or ns1:isServiceProvider!= null">
													<xsl:for-each select="ns1:isServiceProvider">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isVeterinaryHospital[1]/text()) or ns1:isVeterinaryHospital!= null">
													<xsl:for-each select="ns1:isVeterinaryHospital">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isHispanicServicingInstitution[1]/text()) or ns1:isHispanicServicingInstitution!= null">
													<xsl:for-each select="ns1:isHispanicServicingInstitution">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>||||||||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:vendorRelationshipWithFederalGovernment">
										<xsl:for-each select="ns1:vendorRelationshipWithFederalGovernment">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:receivesContracts[1]/text()) or ns1:receivesContracts!= null">
													<xsl:for-each select="ns1:receivesContracts">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:receivesGrants[1]/text()) or ns1:receivesGrants!= null">
													<xsl:for-each select="ns1:receivesGrants">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:receivesContractsAndGrants[1]/text()) or ns1:receivesContractsAndGrants!= null">
													<xsl:for-each select="ns1:receivesContractsAndGrants">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>|||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:typeOfGovernmentEntity">
										<xsl:for-each select="ns1:typeOfGovernmentEntity">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isAirportAuthority[1]/text()) or ns1:isAirportAuthority!= null">
													<xsl:for-each select="ns1:isAirportAuthority">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isCouncilOfGovernments[1]/text()) or ns1:isCouncilOfGovernments!= null">
													<xsl:for-each select="ns1:isCouncilOfGovernments">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isHousingAuthoritiesPublicOrTribal[1]/text()) or ns1:isHousingAuthoritiesPublicOrTribal!= null">
													<xsl:for-each select="ns1:isHousingAuthoritiesPublicOrTribal">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isInterstateEntity[1]/text()) or ns1:isInterstateEntity!= null">
													<xsl:for-each select="ns1:isInterstateEntity">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isPlanningCommission[1]/text()) or ns1:isPlanningCommission!= null">
													<xsl:for-each select="ns1:isPlanningCommission">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isPortAuthority[1]/text()) or ns1:isPortAuthority!= null">
													<xsl:for-each select="ns1:isPortAuthority">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isTransitAuthority[1]/text()) or ns1:isTransitAuthority!= null">
													<xsl:for-each select="ns1:isTransitAuthority">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>|||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:vendorOrganizationFactors">
										<xsl:for-each select="ns1:vendorOrganizationFactors">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSubchapterSCorporation[1]/text()) or ns1:isSubchapterSCorporation!= null">
													<xsl:for-each select="ns1:isSubchapterSCorporation">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isLimitedLiabilityCorporation[1]/text()) or ns1:isLimitedLiabilityCorporation!= null">
													<xsl:for-each select="ns1:isLimitedLiabilityCorporation">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isForeignOwnedAndLocated[1]/text()) or ns1:isForeignOwnedAndLocated!= null">
													<xsl:for-each select="ns1:isForeignOwnedAndLocated">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="ns1:profitStructure">
													<xsl:for-each select="ns1:profitStructure">
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isForProfitOrganization[1]/text()) or ns1:isForProfitOrganization!= null">
																<xsl:for-each select="ns1:isForProfitOrganization">
																	<xsl:value-of select="normalize-space	(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isNonprofitOrganization[1]/text()) or ns1:isNonprofitOrganization!= null">
																<xsl:for-each select="ns1:isNonprofitOrganization">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
														<xsl:choose>
															<xsl:when test="normalize-space(ns1:isOtherNotForProfitOrganization[1]/text()) or ns1:isOtherNotForProfitOrganization!= null">
																<xsl:for-each select="ns1:isOtherNotForProfitOrganization">
																	<xsl:value-of select="normalize-space(.)"/>
																</xsl:for-each>|</xsl:when>
															<xsl:otherwise>|</xsl:otherwise>
														</xsl:choose>
													</xsl:for-each>
												</xsl:when>
												<xsl:otherwise>|||</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isShelteredWorkshop[1]/text()) or ns1:isShelteredWorkshop!= null">
													<xsl:for-each select="ns1:isShelteredWorkshop">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:stateOfIncorporation[1]/text()) or ns1:stateOfIncorporation!= null">
													<xsl:for-each select="ns1:stateOfIncorporation">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:countryOfIncorporation[1]/text()) or ns1:countryOfIncorporation!= null">
													<xsl:for-each select="ns1:countryOfIncorporation">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:organizationalType[1]/text()) or ns1:organizationalType!= null">
													<xsl:for-each select="ns1:organizationalType">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:numberOfEmployees[1]/text()) or ns1:numberOfEmployees!= null">
													<xsl:for-each select="ns1:numberOfEmployees">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:annualRevenue[1]/text()) or ns1:annualRevenue!= null">
													<xsl:for-each select="ns1:annualRevenue">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>||||||||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:typeOfEducationalEntity">
										<xsl:for-each select="ns1:typeOfEducationalEntity">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:is1862LandGrantCollege[1]/text()) or ns1:is1862LandGrantCollege!= null">
													<xsl:for-each select="ns1:is1862LandGrantCollege">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:is1890LandGrantCollege[1]/text()) or ns1:is1890LandGrantCollege!= null">
													<xsl:for-each select="ns1:is1890LandGrantCollege">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:is1994LandGrantCollege[1]/text()) or ns1:is1994LandGrantCollege!= null">
													<xsl:for-each select="ns1:is1994LandGrantCollege">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isHistoricallyBlackCollegeOrUniversity[1]/text()) or ns1:isHistoricallyBlackCollegeOrUniversity!= null">
													<xsl:for-each select="ns1:isHistoricallyBlackCollegeOrUniversity">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isMinorityInstitution[1]/text()) or ns1:isMinorityInstitution!= null">
													<xsl:for-each select="ns1:isMinorityInstitution">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isPrivateUniversityOrCollege[1]/text()) or ns1:isPrivateUniversityOrCollege!= null">
													<xsl:for-each select="ns1:isPrivateUniversityOrCollege">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSchoolOfForestry[1]/text()) or ns1:isSchoolOfForestry!= null">
													<xsl:for-each select="ns1:isSchoolOfForestry">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isStateControlledInstitutionofHigherLearning[1]/text()) or ns1:isStateControlledInstitutionofHigherLearning!= null">
													<xsl:for-each select="ns1:isStateControlledInstitutionofHigherLearning">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isTribalCollege[1]/text()) or ns1:isTribalCollege!= null">
													<xsl:for-each select="ns1:isTribalCollege">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isVeterinaryCollege[1]/text()) or ns1:isVeterinaryCollege!= null">
													<xsl:for-each select="ns1:isVeterinaryCollege">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>||||||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:vendorCertifications">
										<xsl:for-each select="ns1:vendorCertifications">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isDOTCertifiedDisadvantagedBusinessEnterprise[1]/text()) or ns1:isDOTCertifiedDisadvantagedBusinessEnterprise!= null">
													<xsl:for-each select="ns1:isDOTCertifiedDisadvantagedBusinessEnterprise">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSelfCertifiedSmallDisadvantagedBusiness[1]/text()) or ns1:isSelfCertifiedSmallDisadvantagedBusiness!= null">
													<xsl:for-each select="ns1:isSelfCertifiedSmallDisadvantagedBusiness">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSBACertifiedSmallDisadvantagedBusiness[1]/text()) or ns1:isSBACertifiedSmallDisadvantagedBusiness!= null">
													<xsl:for-each select="ns1:isSBACertifiedSmallDisadvantagedBusiness">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSBACertified8AProgramParticipant[1]/text()) or ns1:isSBACertified8AProgramParticipant!= null">
													<xsl:for-each select="ns1:isSBACertified8AProgramParticipant">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSBACertifiedHUBZone[1]/text()) or ns1:isSBACertifiedHUBZone!= null">
													<xsl:for-each select="ns1:isSBACertifiedHUBZone">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:isSBACertified8AJointVenture[1]/text()) or ns1:isSBACertified8AJointVenture!= null">
													<xsl:for-each select="ns1:isPrivateUniversityOrCollege">
														<xsl:value-of select="normalize-space(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:vendorLocation">
										<xsl:for-each select="ns1:vendorLocation">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:streetAddress[1]/text()) or ns1:streetAddress != null">
													<xsl:for-each select="ns1:streetAddress">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:streetAddress2[1]/text()) or ns1:streetAddress2 != null">
													<xsl:for-each select="ns1:streetAddress2">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:streetAddress3[1]/text()) or ns1:streetAddress3 != null">
													<xsl:for-each select="ns1:streetAddress3">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:city[1]/text()) or ns1:city != null">
													<xsl:for-each select="ns1:city">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:state[1]/text()) or ns1:state != null">
													<xsl:for-each select="ns1:state">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:province[1]/text()) or ns1:province!= null">
													<xsl:for-each select="ns1:province">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:ZIPCode[1]/text()) or ns1:ZIPCode != null">
													<xsl:for-each select="ns1:ZIPCode">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:countryCode[1]/text()) or ns1:countryCode != null">
													<xsl:for-each select="ns1:countryCode">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:phoneNo[1]/text()) or ns1:phoneNo!= null">
													<xsl:for-each select="ns1:phoneNo">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:faxNo[1]/text()) or ns1:faxNo!= null">
													<xsl:for-each select="ns1:faxNo">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:congressionalDistrictCode[1]/text()) or ns1:congressionalDistrictCode!= null">
													<xsl:for-each select="ns1:congressionalDistrictCode">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:vendorLocationDisabledFlag[1]/text()) or ns1:vendorLocationDisabledFlag!= null">
													<xsl:for-each select="ns1:vendorLocationDisabledFlag">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>||||||||||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:vendorSiteCode[1]/text()) or ns1:vendorSiteCode != null">
										<xsl:for-each select="ns1:vendorSiteCode">
											<xsl:value-of select="normalize-space	(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:vendorAlternateSiteCode[1]/text()) or ns1:vendorAlternateSiteCode != null">
										<xsl:for-each select="ns1:vendorAlternateSiteCode">
											<xsl:value-of select="normalize-space	(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:vendorDUNSInformation">
										<xsl:for-each select="ns1:vendorDUNSInformation">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:DUNSNumber[1]/text()) or ns1:DUNSNumber != null">
													<xsl:for-each select="ns1:DUNSNumber">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:parentDUNSNumber[1]/text()) or ns1:parentDUNSNumber != null">
													<xsl:for-each select="ns1:parentDUNSNumber">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:domesticParentDUNSNumber[1]/text()) or ns1:domesticParentDUNSNumber!= null">
													<xsl:for-each select="ns1:domesticParentDUNSNumber">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:globalParentDUNSNumber[1]/text()) or ns1:globalParentDUNSNumber!= null">
													<xsl:for-each select="ns1:globalParentDUNSNumber">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>||||</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:divisionName[1]/text()) or ns1:divisionName != null">
										<xsl:for-each select="ns1:divisionName">
											<xsl:value-of select="normalize-space	(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="normalize-space(ns1:divisionNumberOrOfficeCode[1]/text()) or ns1:divisionNumberOrOfficeCode != null">
										<xsl:for-each select="ns1:divisionNumberOrOfficeCode">
											<xsl:value-of select="normalize-space	(.)"/>
										</xsl:for-each>|</xsl:when>
									<xsl:otherwise>|</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="ns1:ccrRegistrationDetails">
										<xsl:for-each select="ns1:ccrRegistrationDetails">
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:registrationDate[1]/text()) or ns1:registrationDate != null">
													<xsl:for-each select="ns1:registrationDate">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<xsl:when test="normalize-space(ns1:renewalDate[1]/text()) or ns1:renewalDate != null">
													<xsl:for-each select="ns1:renewalDate">
														<xsl:value-of select="normalize-space	(.)"/>
													</xsl:for-each>|</xsl:when>
												<xsl:otherwise>|</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
									</xsl:when>
									<xsl:otherwise>||</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="ns1:contractorName">
							<xsl:for-each select="ns1:contractorName">
								<xsl:value-of select="normalize-space	(.)"/>
							</xsl:for-each>|</xsl:when>
						<xsl:otherwise>|</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="ns1:CCRException">
							<xsl:for-each select="ns1:CCRException">
								<xsl:value-of select="normalize-space	(.)"/>
							</xsl:for-each>|</xsl:when>
						<xsl:otherwise>|</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="ns1:contractingOfficerBusinessSizeDetermination">
							<xsl:for-each select="ns1:contractingOfficerBusinessSizeDetermination">
								<xsl:value-of select="normalize-space	(.)"/>
							</xsl:for-each>|</xsl:when>
						<xsl:otherwise>|</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
